package com.yizhi.message.application.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 消息
 * </p>
 *
 * @author hutao123
 * @since 2019-09-09
 */
@Data
@Api(tags = "MessageManageVo", description = "管理端返回消息对象")
public class MessageManageVo {

    @ApiModelProperty(value = "id   主体消息表")
    private Long id;

    @ApiModelProperty(value = "编号")
    private Integer num;

    @ApiModelProperty(value = "可变参数id")
    private Long messageParameterId;

    @ApiModelProperty(value = "消息类型：1、自定义消息；2、系统消息；3、事件触发消息")
    private Integer messageType;

    @ApiModelProperty(value = "消息标题")
    private String title;

    @ApiModelProperty(value = "模板名称 （系统消息需要）")
    private String templateName;

    @ApiModelProperty(value = "事件名称 （触发消息需要）")
    private String eventName;

    @ApiModelProperty(value = "状态   1:草稿、2：待发送、3：发送中、4：已发送、、6：下架、7：上架、8：已发送被撤回  （没有发送失败，直接发送中）")
    private Integer status;

    @ApiModelProperty(value = "状态String    比如： 草稿、上架")
    private String statusString;

    @ApiModelProperty(value = "发送方式：1、站内信；2、短信；3、邮件")
    private Integer sendType;

    @ApiModelProperty(value = "(应用场景或者活动名称) 只记录数字 --1：学习计划、2：考试、3：调研、4、投票5：报名、6：作业、7：签到、8：项目、9：直播、10：积分 ")
    private Integer relationType;

    @ApiModelProperty(value = "(应用场景或者活动名称)String   比如：学习计划、考试")
    private String relationTypeString;

    @ApiModelProperty(value = "发送时间 （新增自定义消息需要）")
    private Date sendTime;

    @ApiModelProperty(value = "创建时间 ")
    private Date createTime;

    @ApiModelProperty(value = "站点id ")
    private Long siteId;


}
