package com.yizhi.message.application.vo.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author hutao123
 * @since 2019-09-09
 */
@Data
@Api(tags = "MessageRemindVo", description = "各个业务设置提醒时的数据")
public class MessageRemindVo extends Model<MessageRemindVo> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "提醒id  ")    private Long id;

    @ApiModelProperty(value = "消息类型：1、自定义消息；2、系统消息；3、事件触发消息")
    private Integer messageType;

    @ApiModelProperty(value = "消息id")
    private Long messageId;

    @ApiModelProperty(value = "消息内容（完整版）")
    private String messageContext;

    @ApiModelProperty(value = "关联模块类型(、1：学习计划、2：考试、3：调研、4、投票5：报名、6：作业、7：签到、8：项目、9：直播、10：积分)")

    private Integer relationType;

    private Long relationId;

    @ApiModelProperty(value = "提醒时间事件类型 1：业务开始时间、 2：业务结束时间、3：自定义时间")
    private Integer timeEventType;

    @ApiModelProperty(value = "发生时间枚举：1：五分钟前、2：十分钟前、3：三十分钟前、4：一个小时前、5：两个小时前、6：一天前、7：两天前")

    private Integer timeType;

    @ApiModelProperty(value = "最终发送时间")

    private Date sendTime;

    @ApiModelProperty(value = "状态   1:草稿、2：待发送、3：发送中、4：已发送、、6：下架、7：上架   （没有发送失败，直接发送中）")

    private Integer status;

    @ApiModelProperty(value = "业务状态：1代表上架状态，0：代表非上架状态（只有1才允许发送消息）")

    private Integer taskStatus;


    @ApiModelProperty(value = "指定范围指定范围(0:全平台,1:指定用户)")

    private Integer visibleRange;

    @ApiModelProperty(value = "发送方式：1、站内信；2、短信；3、邮件")
    private Integer sendType;


    @ApiModelProperty(value = "用户id  主要用于触发消息 个人完成发消息类型")
    private Long accountId;

    @ApiModelProperty(value = "是否删除(0:否,1:是)")
    private Integer deleted;

    @ApiModelProperty(value = "站点id")
    private Long siteId;

    @ApiModelProperty(value = "公司id")
    private Long companyId;

    @ApiModelProperty(value = "创建人id")
    private Long createById;

    @ApiModelProperty(value = "创建人账号")
    private String createByName;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改人id")
    private Long updateById;

    @ApiModelProperty(value = "修改人账号")
    private String updateByName;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
