package com.yizhi.message.application.vo.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 消息
 * </p>
 *
 * @author hutao123
 * @since 2019-09-09
 */
@Data
@Api(tags = "MessageVo", description = "消息主体表")
public class MessageVo extends Model<MessageVo> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "id   主体消息表")
    private Long id;

    @ApiModelProperty(value = "消息类型：1、自定义消息；2、系统消息；3、事件触发消息")
    private Integer messageType;

    @ApiModelProperty(value = "消息标题")
    private String title;

    @ApiModelProperty(value = "模板名称 （系统消息需要）")
    private String templateName;

    @ApiModelProperty(value = "事件名称 （触发消息需要）")
    private String eventName;

    @ApiModelProperty(value = "发送方式：1、站内信；2、短信；3、邮件")
    private Integer sendType;

    @ApiModelProperty(value = "关联模块类型(应用场景)1：学习计划、2：考试、3：调研、4、投票5：报名、6：作业、7：签到、8：项目、9：直播、10：积分 ")

    private Integer relationType;

    @ApiModelProperty(value = "状态   1:草稿、2：待发送、3：发送中、4：已发送、、6：下架、7：上架、8：已发送被撤回  （没有发送失败，直接发送中）")

    private Integer status;

    @ApiModelProperty(value = "指定范围(0:全平台,1:指定用户)")

    private Integer visibleRange;

    @ApiModelProperty(value = "是否删除(0:否,1:是)")

    private Integer deleted;

    @ApiModelProperty(value = "发送时间 （新增自定义消息需要）")

    private Date sendTime;

    @ApiModelProperty(value = "站点id")

    private Long siteId;

    @ApiModelProperty(value = "公司id")

    private Long companyId;

    @ApiModelProperty(value = "触发消息类型")
    private Long evenType;

    @ApiModelProperty(value = "创建人id")
    private Long createById;

    @ApiModelProperty(value = "创建人账号")
    private String createByName;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改人id")
    private Long updateById;

    @ApiModelProperty(value = "修改人账号")
    private String updateByName;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
