package com.yizhi.message.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author hutao123
 * @since 2019-09-12
 */
@Data
@Api(tags = "MessageParamRelationVo", description = "")
@TableName("message_param_relation")
public class MessageParamRelation extends Model<MessageParamRelation> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "消息与可选参数关联表")
    @TableId("id")
    private Long id;

    @ApiModelProperty(value = "消息id")
    @TableField("message_id")
    private Long messageId;

    @ApiModelProperty(value = "可选参数id")
    @TableField("message_parameter_id")
    private Long messageParameterId;

    @ApiModelProperty(value = "可变参数类型 ：1、用户姓名；2、课程名称；3、项目时间；4、项目名称；5、报名截止时间；更多请看数据库")
    @TableField("field_type")
    private Integer fieldType;

    @ApiModelProperty(value = "是否删除")
    @TableField("deleted")
    private Integer deleted;

    @ApiModelProperty(value = "创建人id")
    @TableField(value = "create_by_id", fill = FieldFill.INSERT)
    private Long createById;

    @ApiModelProperty(value = "创建人账号")
    @TableField(value = "create_by_name", fill = FieldFill.INSERT)
    private String createByName;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "修改人id")
    @TableField(value = "update_by_id", fill = FieldFill.INSERT)
    private Long updateById;

    @ApiModelProperty(value = "修改人账号")
    @TableField(value = "update_by_name", fill = FieldFill.INSERT)
    private String updateByName;

    @ApiModelProperty(value = "修改时间")
    @TableField(value = "update_time", fill = FieldFill.INSERT)
    private Date updateTime;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
