package com.yizhi.message.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author hutao123
 * @since 2019-09-09
 */
@Data
@Api(tags = "MessageParameterVo", description = "可选参数表")
@TableName("message_parameter")
public class MessageParameter extends Model<MessageParameter> {

    private static final long serialVersionUID = 1L;


    @TableId("id")
    private Long id;

    @ApiModelProperty(value = "可变参数名称")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "消息类型：比如： 1、自定义消息 2、系统消息 3、事件触发消息")
    @TableField("message_type")
    private Integer messageType;

    @ApiModelProperty(value = "可变参数类型 ：1、用户姓名；2、课程名称；3、项目时间；4、项目名称；5、报名截止时间；更多请看数据库")
    @TableField("field_type")
    private Integer fieldType;

    @ApiModelProperty(value = "关联模块对应的字段")
    @TableField("relation_field")
    private String relationField;

    @ApiModelProperty(value = "关联模块类型(0：自定义消息、1：学习计划、2：考试、3：调研、4、投票5：报名、6：作业、7：签到、8：项目、9：直播、10：积分)")
    @TableField("relation_type")
    private Integer relationType;

    @ApiModelProperty(value = "是否删除")
    @TableField("deleted")
    private Integer deleted;

    @ApiModelProperty(value = "站点id")
    @TableField("site_id")
    private Long siteId;

    @ApiModelProperty(value = "公司id")
    @TableField("company_id")
    private Long companyId;

    @ApiModelProperty(value = "创建人id")
    @TableField(value = "create_by_id", fill = FieldFill.INSERT)
    private Long createById;

    @ApiModelProperty(value = "创建人账号")
    @TableField(value = "create_by_name", fill = FieldFill.INSERT)
    private String createByName;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "修改人id")
    @TableField(value = "update_by_id", fill = FieldFill.INSERT)
    private Long updateById;

    @ApiModelProperty(value = "修改人账号")
    @TableField(value = "update_by_name", fill = FieldFill.INSERT)
    private String updateByName;

    @ApiModelProperty(value = "修改时间")
    @TableField(value = "update_time", fill = FieldFill.INSERT)
    private Date updateTime;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
