package com.yizhi.message.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.message.application.domain.MessageParameter;
import com.yizhi.message.application.vo.MessageParameterVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author hutao123
 * @since 2019-09-09
 */
public interface MessageParameterMapper extends BaseMapper<MessageParameter> {
    /**
     * @param messageType  消息类型：比如： 1、自定义消息 2、系统消息 3、事件触发消息
     * @param relationType 应用场景（关联模块类型）(0：通用、1：学习计划、2：考试、3：调研、4、投票5：报名、6：作业、7：签到、8：项目、9：直播 、10积分)
     * @return
     */
    List<MessageParameterVo> getList(@Param("messageType") Integer messageType, @Param("relationType") Integer relationType,@Param("siteId")Long siteId);

}
